Page MenuHomePhabricator

Passing bad parameters to WIKIDATAPAGEBANNER should throw warnings
Closed, ResolvedPublic

Description

As an editor, if I add
{{PAGEBANNER:captionText=foo}} I should get a warning saying captionText is not a valid parameter name. This should apply to all parameters.

Bonus points if you provide a link in the warning to some template usage notes :)

Details

Related Gerrit Patches:
mediawiki/extensions/WikidataPageBanner : masterShow a warning if there are unknown parameters

Event Timeline

Jdlrobson raised the priority of this task from to Needs Triage.
Jdlrobson updated the task description. (Show Details)
Jdlrobson moved this task to Epics on the Wikidata-Page-Banner board.
Jdlrobson added a subscriber: Jdlrobson.
Restricted Application added a project: Wikidata. · View Herald TranscriptAug 17 2015, 3:43 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Lydia_Pintscher moved this task from incoming to monitoring on the Wikidata board.Aug 17 2015, 3:43 PM
Sumit added a subscriber: Sumit.EditedAug 17 2015, 5:52 PM

Should I add the warnings as server-side using wfWarn( ) ?

They should only show up to editors. I'm not sure if we have any existing examples to follow.

Jdlrobson moved this task from Epics to Backlog on the Wikidata-Page-Banner board.Aug 28 2015, 7:28 PM
Florian claimed this task.Sep 18 2015, 6:32 AM

Change 239325 had a related patch set uploaded (by Florianschmidtwelzow):
Show a warning if there are unknown parameters

https://gerrit.wikimedia.org/r/239325

Change 239325 merged by jenkins-bot:
Show a warning if there are unknown parameters

https://gerrit.wikimedia.org/r/239325

Jdlrobson closed this task as Resolved.Sep 23 2015, 6:25 PM

Thanks @Florian !